﻿@{
    ViewBag.Title = "QuanLi_DH_CTDH";
    Layout = "~/Views/Admin/Layout/_LayoutAdmin.cshtml";
}

@model IEnumerable<testWEb.Models.DonHangViewModel>
@using (Html.BeginForm("UpdateOrder", "QuanLiDonHang", FormMethod.Post))
{

    <div class="main-page main-page-home">
        <div class="container">
            <section class="content">
                <div class="row">
                    <div class="col-md-12">
                        <div class="box box-info">
                            <div class="box-header with-border">
                                <h3 class="box-title">Chi tiết Đơn hàng</h3>
                            </div>
                            <!-- /.box-header -->
                            <div class="box-body">
                                <div class="table-responsive">


                                    <div class="table-responsive">
                                        <table class="table table-striped table-bordered table-hover dataTable no-footer" role="grid">
                                            <tr>
                                                <th>STT</th>
                                                <th>ID</th>
                                                <th>IDKH</th>
                                                <th>Ngày tạo</th>
                                                <th>Tên Khách hàng</th>
                                                <th>Email</th>
                                                <th>Tên Sản Phẩm</th>
                                                <th>Số Lượng</th>
                                                <th>Đơn Giá</th>
                                                <th>Thành tiền</th>
                                                <th></th>
                                            </tr>

                                            @foreach (var item in Model)
                                            {
                                                <tr>
                                                    <td>STT</td>
                                                    <td><a target="_blank" href="">@item.ID</a> </td>
                                                    <td> @item.IDKH</td>
                                                    <td> @item.NgayTao</td>
                                                    <td> @item.TenKH</td>
                                                    <td> @item.Email</td>
                                                    <td> @item.TenSP</td>
                                                    <td> @item.SoLuong</td>
                                                    <td> @item.DonGia.ToString("#,##0").Replace(',', '.') VNĐ </td>
                                                    <td> @item.ThanhTien VNĐ </td>
                                                    <td></td>


                                                </tr>
                                            }
                                            <tr>
                                                <td class="text-right">Tổng số lượng:</td>
                                                <td style="color:red"> @Model.Sum(m => m.SoLuong) </td>
                                                <td class="text-right">Tổng thành tiền:</td>
                                                <td style="color:red"> @Model.Sum(m => m.ThanhTien) VNĐ  </td>
                                            </tr>
                                            <td class="btn CreatSP">
                                                <input type="hidden" name="IDDonHang" value="@ViewBag.IdDonHang" />
                                                <button type="submit">Đóng đơn hàng này</button>
                                            </td>
                                           
                                        </table>


                                    </div>


                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>
}